/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme (For WOOCOMMERCE functionality style only)
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

/*************************************** Product loop ***************************************/
.wd-product.product-grid-item {
    border-radius: 15px;
    background: #FFF;
    box-shadow: 0 4px 8px 0 #E1DCD0;
}
.wd-product.product-grid-item .wd-product-thumb {
    border-radius: 15px 15px 0 0;
}
.wd-product.wd-hover-base .wd-product-card-bg {
    inset: 0 0 -2px 0;
}
.wd-product.wd-hover-base .wrapp-swatches {
    display: none !important; 
}
.wd-loop-builder-off .wd-product .wd-entities-title, 
.wd-loop-builder-off .wd-product .wd-entities-title a {
    font-size: 18px;
    --wd-entities-title-color: #000;
    --wd-entities-title-font-weight: 500;
    line-height: 24px; /* 133.333% */
    letter-spacing: -0.18px;
}
.wd-product.wd-hover-base .product-element-bottom {
    --wd-prod-gap: 25px;
    padding: 13px 25px var(--wd-prod-gap) 25px !important;
}
.wd-product.wd-hover-base .price span {
    color: #697454;
    font-family: Inter;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px; /* 150% */
    letter-spacing: -0.2px;
}
.wd-product.wd-hover-base .product-labels {
    top: 15px !important;
    inset-inline-start: 15px !important;
}
.wd-product.wd-hover-base .product-labels .product-label.onsale {
    border-radius: 6px;
    padding: 4px 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.05);
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.14px;
}
.wd-product.wd-hover-base .product-rating-price {
    overflow: unset !important;
    height: auto !important;
}
.wd-product.wd-hover-base.has-stars .wrapp-product-price .wd-star-rating {
    margin-bottom: 4px;
}



/*************************************** Single product page ***************************************/
/* Product details - upper */
.woocommerce-product-gallery {
    --wd-brd-radius: 10px;
}
.single-product table.variations {
    --wd-var-table-mb: 24px;
}
.single-product table.variations, 
.single-product table.variations td.value {
    width: 100%;
}
.single-product table.variations th.label {
    width: auto;
    white-space: nowrap;
    padding-right: 12px;
}
.single-product table.variations select {
    border-radius: 8px;
    border: 1px solid #DDD8CD;
    background-color: #FFF;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 150% */
    letter-spacing: -0.16px;
    --wd-form-chevron: url('/wp-content/uploads/2026/04/angle-small-down-19-1.svg');
    width: 100%;
    /* max-width: 285px; */
    max-width: 355px;
    height: 64px;
}
.single-product div.quantity input[type=button], 
.single-product div.quantity input[type=number] {
    padding: 18px 25px;
    background: #FFF;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 150% */
    letter-spacing: -0.16px;
}
.single-product div.quantity input[type=number] {
    width: 68px;
    border: 1px solid #DDD8CD;
}
.single-product div.quantity :is( input[type=number],input[type=text],input[type=button]) {
    --wd-form-height: 64px;
}
.single-product div.quantity input.minus[type=button] {
    border: unset;
    border-radius: 8px 0 0 8px;
    border-top: 1px solid #DDD8CD;
    border-bottom: 1px solid #DDD8CD;
    border-left: 1px solid #DDD8CD;
}
.single-product div.quantity input.plus[type=button] {
    border: unset;
    border-radius: 0 8px 8px 0;
    border-top: 1px solid #DDD8CD;
    border-right: 1px solid #DDD8CD;
    border-bottom: 1px solid #DDD8CD;
}
.single-product .woocommerce-variation-add-to-cart {
    gap: 24px;
}
.single-product .product_meta {
    gap: 13px;
}
.single-product .wd-social-icons .wd-label {
    color: var(--wd-primary-color);
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; /* 133.333% */
    letter-spacing: -0.18px;
}
.wd-social-icons a.wd-social-icon .wd-icon:before {
    content: '';
    font-family: unset;
    display: block;
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transition: opacity 0.2s ease;
}
.wd-social-icons a.wd-social-icon:hover .wd-icon:before {
    filter: brightness(1.4);
}
.wd-social-icons a.social-facebook .wd-icon:before {
    background-image: url('/wp-content/uploads/2026/04/facebook-11-1.svg');
}
.wd-social-icons a.social-instagram .wd-icon:before {
    background-image: url('/wp-content/uploads/2026/04/instagram-8-1.svg');
}
.wd-social-icons a.social-linkedin .wd-icon:before {
    background-image: url('/wp-content/uploads/2026/04/linkedin-6-1.svg');
}

/* Tabs - bottom part */
.single-product .wd-single-tabs p, 
.single-product .wd-single-tabs li, 
.single-product .woocommerce-Tabs-panel--additional_information .woocommerce-product-attributes-item .wd-term, 
.single-product .woocommerce-Tabs-panel--reviews select, 
.single-product .woocommerce-Tabs-panel--reviews textarea {
    color: #797365;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px; /* 155.556% */
    letter-spacing: -0.18px;
}
.single-product .woocommerce-Tabs-panel--additional_information .woocommerce-product-attributes-item .wd-attr-label, 
.single-product .woocommerce-Tabs-panel--reviews label, 
.single-product .woocommerce-Tabs-panel--reviews .woocommerce-Reviews-title, 
.single-product .woocommerce-Tabs-panel--reviews .title  {
    color: #000;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; /* 133.333% */
    letter-spacing: -0.18px;
}
/* .single-product .wd-single-tabs .wd-nav-wrapper {
    text-align: left;
} */



/*************************************** Responsive adjustments ***************************************/
@media screen and (max-width: 480px) {
    /*************************************** Product loop ***************************************/
    .wd-product.wd-hover-base .product-element-bottom {
        --wd-prod-gap: 15px;
        padding: 5px var(--wd-prod-gap) var(--wd-prod-gap) !important;
    }
    .wd-loop-builder-off .wd-product .wd-entities-title, .wd-loop-builder-off .wd-product .wd-entities-title a {
        font-size: 13px;
        line-height: 18px; 
        letter-spacing: -0.13px;
    }
    .wd-product.wd-hover-base .price span {
        font-size: 16px;
        letter-spacing: -0.16px;
    }

    .single-product div.product-additional-galleries {
        bottom: 25px;
    }
    .single-product table.variations select {
        max-width: unset;
    }
    .single-product form.variations_form {
        margin-bottom: 18px;
    }
    .single-product .wd-single-tabs .wd-nav-wrapper .wd-accordion-item:first-child {
        border-top: none;
    }
    .single-product .wd-single-tabs .wd-accordion {
        --wd-accordion-spacing: 30px;
    }
    .single-product .wd-single-tabs .wd-accordion-title-text {
        color: #797365;
        font-size: 20px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -0.2px;
    }
    .single-product .wd-single-tabs .wd-accordion-title:is(.wd-active,:hover)>.wd-accordion-title-text {
        color: #000000;
    }
    .single-product .wd-single-tabs p, .single-product .wd-single-tabs li, .single-product .woocommerce-Tabs-panel--additional_information .woocommerce-product-attributes-item .wd-term, .single-product .woocommerce-Tabs-panel--reviews select, .single-product .woocommerce-Tabs-panel--reviews textarea {
        font-size: 16px;
    }
    .single-product .woocommerce-Tabs-panel--additional_information .woocommerce-product-attributes-item .wd-attr-label, .single-product .woocommerce-Tabs-panel--reviews label, .single-product .woocommerce-Tabs-panel--reviews .woocommerce-Reviews-title, .single-product .woocommerce-Tabs-panel--reviews .title {
        font-size: 16px;
    }
    .single-product .wd-single-tabs .wd-accordion-opener {
        color: #000000;
    }
}